Bug 119996 - Remove support for GNOME Shell application menu
Summary: Remove support for GNOME Shell application menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: low enhancement
Assignee: Arkadiy Illarionov
URL: https://gitlab.gnome.org/GNOME/Initia...
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2018-09-20 02:40 UTC by Adolfo Jayme
Modified: 2019-03-20 16:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2018-09-20 02:40:25 UTC
This was a cool little feature added by Caolán in [1], but from GNOME 3.32 on, it will effectively become dead code.

From GNOME 3.30’s release notes:

“From 3.32, application menus will no longer be shown in the GNOME 3 top bar, and application developers are recommended to remove their application menus in time for GNOME 3.32” [1]

GNOME designers have *finally* realized what an usability nightmare this design was.


[1]: https://cgit.freedesktop.org/libreoffice/core/log/?qt=grep&q=fdo%2348835
[2]: https://help.gnome.org/misc/release-notes/3.30/developers.html.en
Comment 1 Julien Nabet 2018-09-20 07:09:54 UTC
Caolán: thought you may be interested in the discussion here.
Comment 2 Caolán McNamara 2018-09-20 08:30:03 UTC
fine by me, I don't object
Comment 3 Xisco Faulí 2018-10-04 15:51:06 UTC
(In reply to Caolán McNamara from comment #2)
> fine by me, I don't object

Caolán, do you think this could be turned into an easyHack ?
Comment 4 Caolán McNamara 2018-10-05 08:39:19 UTC
yeah, its suitable and the original link points to the relevant code to remove so its straightforward IMO
Comment 5 Björn Michaelsen 2019-01-10 19:58:50 UTC
Hint:
To revert these changes, go though the list of commits provided above and run `git revert` for each one top-to-bottom (that is in reverse chronological order). That is:

 git revert b163772e77e64261b62a9e8196799a499e4ef77d
 git revert 4843d5e8865d2f63f408f464e28be9440cb1ecc2
 ...

Resolve any conflicts and ensure the result builds still ;) (might be done on gerrit)
Comment 6 Commit Notification 2019-03-20 16:11:30 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c5db5d32074efc811ea2bd9432c619d8d40792bb%5E%21

Resolves: tdf#119996 remove support for GNOME Shell application menu

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.